import request from '@/axios'
export default {
  
  /**
   * 
   * @param {*} data 
   * @returns 
   * 我的网课列表
   */
  courseGoodsList(data) {
		return request({
			url: '/course/goodsList',
			method: 'get',
			params: data
		})
	},

  /**
   * 
   * @param {*} data 
   * @returns 
   * 课程可选班级列表
   */
  goodsGradeList(data) {
		return request({
			url: '/grade/grade/list',
			method: 'get',
			params: data
		})
	},

  /**
   * 
   * @param {*} data 
   * @returns 
   * 选定班级
   */
  changeGrade(data) {
		return request({
			url: '/grade/grade/changeGrade',
			method: 'post',
			data:data
		})
	},

  courseGoodsRebuildStatus(data) {
		return request({
			url: '/course/goodsRebuildStatus',
			method: 'get',
			params:data
		})
	},
  
	//查看班级作弊重学详细情况
	getcourseperiodcheat(data) {
		return request({
			url: '/course/period/cheat',
			method: 'get',
			params: data
		})
	},

  
	courseCourseList(data) {
		return request({
			url: '/course/courseList',
			method: 'get',
			params: data
		})
	},

  courseDetail(data) {
		return request({
			url: '/course/'+data,
			method: 'get'
		})
	},

  goodsDetail(data) {
		return request({
			url: '/goods/'+ data,
			method: 'get'
		})
	},

  
	courseHandouts(data) {
		return request({
			url: '/course/handouts/'+data,
			method: 'get'
		})
	},
  
  reMenuList(data) {
		return request({
			url: '/course/menuList',
			method: 'get',
			params: data
		})
	},

  noteList(data) {
		return request({
			url: '/user/note/listDate',
			method: 'get',
			data: data
		})
	},

  
	reChapterList(data) {
		return request({
			url: '/course/chapterList',
			method: 'get',
			params: data
		})
	},

  
	reSectionList(data) {
		return request({
			url: '/course/sectionList',
			method: 'get',
			params: data
		})
	},

  reChapterList(data) {
		return request({
			url: '/course/chapterList',
			method: 'get',
			params: data
		})
	},

  reSectionList(data) {
		return request({
			url: '/course/sectionList',
			method: 'get',
			params: data
		})
	},

  studyRecordMenuAllList(data) {
		return request({
			url: '/study/record/menuAllList',
			method: 'get',
			params:data
		})
	},

  gradeCheckGoodsStudy(data) {
		return request({
			url: '/grade/grade/checkGoodsStudy',
			method: 'get',
			params:data
		})
	},

  goodsTodayStudySectionNum(data) {
		return request({
			url: '/goods/todayStudySectionNum',
			method: 'get',
			params:data
		})
	},

  coursePhotoRecord(data) {
		return request({
			url: '/course/photo/log',
			method: 'post',
			data: data
		})
	},

  faceCertificationCompareFace(data) {
		return request({
			url: '/face/certification/CompareFace',
			method: 'post',
			data:data
		})
	},

  studyRecord(data) {
		return request({
			url: '/study/record',
			method: 'post',
			data: data
		})
	},

  getPhotoLastRecord(data) {
		return request({
			url: '/course/photo/log/getLastInfo',
			method: 'get',
			params: data
		})
	},

  
	recordLast(data) {
		return request({
			url: '/study/record/last',
			method: 'get',
			params: data
		})
	},
  studRrecordListUserRecord(data) {
		return request({
			url: '/study/record/listUserRecord',
			method: 'get',
			params: data
		})
	},

  
	faceCertificationIDCardOCR(data) {
		return request({
			url: '/face/certification/IDCardOCR',
			method: 'post',
			data:data
		})
	},

  facCertificationImageRecognition(data) {
		return request({
			url: '/face/certification/ImageRecognition',
			method: 'post',
			data:data
		})
	},

  faceCertificationIdCardCompareFace(data) {
		return request({
			url: '/face/certification/idCardCompareFace',
			method: 'post',
			data:data
		})
	},


  appBeforeAddress(data) {
		return request({
			url: '/app/before/address',
			method: 'get',
			params: data
		})
	},

  goodsListGoodsUserLive(data) {
		return request({
			url:`/goods/listGoodsUserLive`,
			method: 'get',
			params:data
		})
	},

  polyvLiveHistoryChatMsgList(data) {
		return request({
			url: '/polyv/live/historyChatMsgList',
			method: 'get',
			params:data
		})
	},

  studyRecordQueryLiveLast(data) {
		return request({
			url: '/study/record/queryLiveLast',
			method: 'get',
			params:data
		})
	},

	studyRecordGetLastLive(data) {
		return request({
			url: '/study/record/getLastLive',
			method: 'get',
			params: data
		})
	},

  goodsLivingSectionList(data) {
		return request({
			url: '/goods/livingSectionList',
			method: 'get',
			params:data
		})
	},
}